package main

import "mvc/objects"

func main() {
	model := objects.NewBankAccountModel()
	view := objects.NewBankAccountView(model)
	controller := objects.NewBankAccountController(model, view)

	model.AddObserver(&view)

	controller.Loop()

}
